Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 701760 - net-libs/serf: EAPI bump and inherit python-any-r1
Summary: net-libs/serf: EAPI bump and inherit python-any-r1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Arfrever Frehtes Taifersar Arahesis
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: python-3-incompatible
  Show dependency tree
 
Reported: 2019-12-02 14:56 UTC by Benda Xu
Modified: 2019-12-23 03:01 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
serf.patch (serf.patch,1.84 KB, patch)
2019-12-02 14:57 UTC, Benda Xu
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Benda Xu gentoo-dev 2019-12-02 14:56:12 UTC
Hi, I intend to make a attached fix to net-libs/serf to have it use Python 3 scons.

Reproducible: Always
Comment 1 Benda Xu gentoo-dev 2019-12-02 14:57:36 UTC
Created attachment 598200 [details, diff]
serf.patch

Author: Benda Xu <heroxbd@gentoo.org>
Date:   Mon Dec 2 22:54:23 2019 +0800

    net-libs/serf: inherit python-any-r1 for scons, bump EAPI
    
      The scons package depends on python, and in this case python-any-r1
      is needed.
    
    Reference: https://wiki.gentoo.org/wiki/Project:Python/scons-utils_integration
Comment 2 Benda Xu gentoo-dev 2019-12-02 15:01:50 UTC
"${FILESDIR}"/${PN}-1.3.9-python3.patch
"${FILESDIR}"/${PN}-1.3.9-python3_byte.patch

The 2 new patches are from the upstream to support Python 3 scons:

https://github.com/apache/serf/commit/9d30108b630b77f732ef94d1642b159066ffd890

and

https://github.com/apache/serf/commit/1c0241847e845a8da265aa89f297d3db6ae483b1


If no objections are raised, I am going to commit in a week.  What do you say?

Yours,
Benda
Comment 3 Arfrever Frehtes Taifersar Arahesis 2019-12-09 07:56:53 UTC
Instead of it, I will switch from SCons to CMake, which will avoid any dependency on Python.
Comment 4 Benda Xu gentoo-dev 2019-12-23 02:58:33 UTC
(In reply to Arfrever Frehtes Taifersar Arahesis from comment #3)
> Instead of it, I will switch from SCons to CMake, which will avoid any
> dependency on Python.

Let's fix the scons while wait for the upstream to migrate to CMake.
Comment 5 Larry the Git Cow gentoo-dev 2019-12-23 03:01:28 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c8f1ba80a5e0a61ea85a61c8ee69432dbaee20ba

commit c8f1ba80a5e0a61ea85a61c8ee69432dbaee20ba
Author:     Benda Xu <heroxbd@gentoo.org>
AuthorDate: 2019-12-02 14:54:23 +0000
Commit:     Benda Xu <heroxbd@gentoo.org>
CommitDate: 2019-12-23 02:59:52 +0000

    net-libs/serf: inherit python-any-r1 for scons, bump EAPI
    
      The scons package depends on python, and in this case python-any-r1
      is needed.
    
    Reference: https://wiki.gentoo.org/wiki/Project:Python/scons-utils_integration
    Closes: https://bugs.gentoo.org/701760
    Package-Manager: Portage-2.3.79, Repoman-2.3.18
    Signed-off-by: Benda Xu <heroxbd@gentoo.org>

 net-libs/serf/files/serf-1.3.9-python3.patch      | 28 +++++++++
 net-libs/serf/files/serf-1.3.9-python3_byte.patch | 28 +++++++++
 net-libs/serf/serf-1.3.9-r1.ebuild                | 74 +++++++++++++++++++++++
 3 files changed, 130 insertions(+)